<?php
include_once("utiles.php");

date_default_timezone_set("America/Panama");
error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);

if (!$connection = connectDb()) {
	die("err db");
} else {
	$connection->query("SET NAMES 'utf8';");
}
header('content-type: application/json');

session_start();
$_SESSION['database'] = $_POST['database'];
$_SESSION['c_id'] = $_POST['c_id'];
$_SESSION['c_descripcion'] = $_POST['c_descripcion'];
$_SESSION['c_direccion'] = $_POST['c_direccion'];
$_SESSION['c_idfiscal'] = $_POST['c_idfiscal'];
$_SESSION['pa_id'] = $_POST['pa_id'];
$_SESSION['ciu_id'] = $_POST['ciu_id'];
$_SESSION['c_contacto'] = $_POST['c_contacto'];
$_SESSION['c_telefono'] = $_POST['c_telefono'];
$_SESSION['c_credito'] = $_POST['c_credito'];
$_SESSION['c_dias_credito'] = $_POST['c_dias_credito'];
$_SESSION['c_limite_credito'] = $_POST['c_limite_credito'];
$_SESSION['c_vendedor'] = $_POST['c_vendedor'];
$_SESSION['id_contribuyente'] = $_POST['id_contribuyente'];
$_SESSION['c_correo'] = $_POST['c_correo'];
$_SESSION['c_exclusiv_cont'] = $_POST['c_exclusiv_cont'];
$_SESSION['c_apart'] = $_POST['c_apart'];
$_SESSION['c_club'] = $_POST['c_club'];
$_SESSION['c_activo'] = $_POST['c_activo'];
$_SESSION['suc_id'] = $_POST['suc_id'];
$_SESSION['c_ref2'] = $_POST['c_ref2'];
$_SESSION['c_ref3'] = $_POST['c_ref3'];
$_SESSION['c_precio'] = $_POST['c_precio'];
$_SESSION['c_desc'] = $_POST['c_desc'];
$_SESSION['usuario_id'] = $_POST['usuario_id'];
$_SESSION['c_acumpuntos'] = $_POST['c_acumpuntos'];
$_SESSION['cliente_pre_pago'] = $_POST['cliente_pre_pago'];
$_SESSION['c_afiliado'] = $_POST['c_afiliado'];
$_SESSION['cat_id'] = $_POST['cat_id'];
$_SESSION['c_tipo_receptor'] = $_POST['c_tipo_receptor'];
$_SESSION['c_tipo_contrib'] = $_POST['c_tipo_contrib'];
$_SESSION['c_dv'] = $_POST['c_dv'];
$_SESSION['cod_subsidiaria'] = $_POST['cod_subsidiaria'];
$_SESSION['c_tipo_persona'] = $_POST['c_tipo_persona'];
$_SESSION['c_recarg_mora'] = $_POST['c_recarg_mora'];
$_SESSION['tipo_calculo'] = $_POST['tipo_calculo'];
$_SESSION['c_tipo_documento'] = $_POST['c_tipo_documento'];
$_SESSION['c_tipo_receptor'] = $_POST['c_tipo_receptor'];
$_SESSION['c_tipo_contrib'] = $_POST['c_tipo_contrib'];

$Db__Name = $_SESSION["database"];
$Cte_Codi = $_SESSION["c_id"];
$Cte_Nomb = $_SESSION["c_descripcion"];
$Cte_Dire = $_SESSION["c_direccion"];
$Cte_FiId = $_SESSION['c_idfiscal'];
$Cod_Pais = $_SESSION['pa_id'];
$Cod_Ciud = $_SESSION['ciu_id'];
$Cte_Cont = $_SESSION['c_contacto'];
$Cte_Tele = $_SESSION['c_telefono'];
$Cte_Cred = $_SESSION['c_credito'];
$Cte_DiaC = $_SESSION['c_dias_credito'];
$Cte_LimC = $_SESSION['c_limite_credito'];
$Cte_Vend = $_SESSION['c_vendedor'];
$CteContr = $_SESSION['id_contribuyente'];
$Cte_Corr = $_SESSION['c_correo'];
$Cte_Excl = $_SESSION['c_exclusiv_cont'];
$Cte_Apar = $_SESSION['c_apart'];
$Cte_Club = $_SESSION['c_club'];
$Cte_Acti = $_SESSION['c_activo'];
$Cte_Sucu = $_SESSION['suc_id'];
$Cte_Ref2 = $_SESSION['c_ref2'];
$Cte_Ref3 = $_SESSION['c_ref3'];
$Cte_Prec = $_SESSION['c_precio'];
$Cte_Desc = $_SESSION['c_desc'];
$Cte_Usua = $_SESSION['usuario_id'];
$Cte_Cate = $_SESSION['cat_id'];
$Cte_AcuP = $_SESSION['c_acumpuntos'];
$Cte_Prep = $_SESSION['cliente_pre_pago'];
$Cte_Afil = $_SESSION['c_afiliado'];
$Cte_TipR = $_SESSION['c_tipo_receptor'];
$Cte_TipC = $_SESSION['c_tipo_contrib'];
$Cte___dv = $_SESSION['c_dv'];
$CteSubsi = $_SESSION['cod_subsidiaria'];
$CteTipoP = $_SESSION['c_tipo_persona'];
$CteRecMo = $_SESSION['c_recarg_mora'];
$CteTipoC = $_SESSION['tipo_calculo'];
$Cte_TipD = $_SESSION['c_tipo_documento'];

if (empty($Cte_Ref2))
	$Cte_Ref2 = '""';

if (!empty($Cte_Ref3))
	$Cte_Ref3 = '""';

if (!empty($CteSubsi))
	$CteSubsi = '""';

if (!empty($CteSubsi))
	$CteSubsi = '""';

if (!empty($CteTipoP))
	$CteTipoP = '0';

if (!empty($CteRecMo))
	$CteRecMo = '0';

if (!empty($CteTipoC))
	$CteTipoC = '0';

if (!empty($Cte_TipD))
	$Cte_TipD = '"C"';

if (!empty($Cte_TipR))
	$Cte_TipR = '"02"';

if (!empty($Cte_TipC))
	$Cte_TipC = '1';
$Db_NameC = '`' . $Db__Name . '`';

if ($Cod_Pais == '')
	$Cod_Pais = '0';
if ($Cod_Ciud == '')
	$Cod_Ciud = '0';
if ($Cte_Cred == '')
	$Cte_Cred = '0';
if ($Cte_DiaC == '')
	$Cte_DiaC = '0';
if ($Cte_LimC == '')
	$Cte_LimC = '0';
if ($Cte_Vend == '')
	$Cte_Vend = '0';
if ($CteContr == '')
	$CteContr = '0';
if ($Cte_Excl == '')
	$Cte_Excl = '0';
if ($Cte_Apar == '')
	$Cte_Apar = '0';
if ($Cte_Acti == '')
	$Cte_Acti = '0';
if ($Cte_Sucu == '')
	$Cte_Sucu = '0';
if ($Cte_Club == '')
	$Cte_Club = '0';
if ($Cte_Prec == '')
	$Cte_Prec = '0';
if ($Cte_Desc == '')
	$Cte_Desc = '0';
if ($Cte_Cate == '')
	$Cte_Cate = '0';

$Cte_Nomb2 = String_Decode_ws_acents($Cte_Nomb);

$hoynow    = getdate();
$timeStamp = $hoynow["year"] . "-" . $hoynow["mon"] . "-" . $hoynow["mday"];

$connection->query("USE $Db_NameC");

$SQL_Insert =
	"INSERT INTO $Db_NameC.clientes (
	c_id			, c_descripcion		, pa_id				,
	ciu_id			, c_idfiscal		, c_contacto		,
	c_telefono		, c_credito			, c_dias_credito	,
	c_limite_credito, c_vendedor		, id_contribuyente	,
	c_correo		, c_exclusiv_cont	, c_creacion		,
	c_apart			, c_activo			, suc_id			,
	c_ref2			, usermodify		, useroption		, 
	c_direccion		, c_club			, c_u_id_crea		,
	c_precio		, c_desc			, c_acumpuntos		,
	cliente_pre_pago, cat_id			, c_afiliado		,
	c_dv        	, c_tipo_documento	, cod_subsidiaria  	,
	c_tipo_persona	, tipo_calculo		, c_recarg_mora		,
	c_tipo_receptor)  VALUES  (
	$Cte_Codi		,$Cte_Nomb2		,$Cod_Pais	, 
	$Cod_Ciud		,$Cte_FiId		,$Cte_Cont	,
	$Cte_Tele		,$Cte_Cred		,$Cte_DiaC	,
	$Cte_LimC		,$Cte_Vend		,$CteContr	,
	$Cte_Corr		,$Cte_Excl		,'$timeStamp',
	$Cte_Apar		,$Cte_Acti		,$Cte_Sucu	,
	$Cte_Ref2		,0				,0			,
	$Cte_Dire		,$Cte_Club		,$Cte_Usua	,
	$Cte_Prec		,$Cte_Desc		,$Cte_AcuP	,
	$Cte_Prep		,$Cte_Cate		,$Cte_Afil	,
	$Cte___dv		,$Cte_TipD 		,$CteSubsi	,
	$CteTipoP		,$CteTipoC		,$CteRecMo	,	
	$Cte_TipR)
ON DUPLICATE KEY UPDATE
    c_descripcion	=VALUES(c_descripcion),
    c_nom_comercial	=VALUES(c_descripcion),
	c_direccion 	=VALUES(c_direccion),
    pa_id			=VALUES(pa_id),
    ciu_id			=VALUES(ciu_id),
    c_idfiscal		=VALUES(c_idfiscal),
    c_contacto		=VALUES(c_contacto),
    c_telefono		=VALUES(c_telefono),
    c_credito		=VALUES(c_credito),
    c_dias_credito	=VALUES(c_dias_credito),
    c_limite_credito=VALUES(c_limite_credito),
    c_vendedor		=VALUES(c_vendedor),
    id_contribuyente=VALUES(id_contribuyente),
    c_correo		=VALUES(c_correo),
    c_exclusiv_cont	=VALUES(c_exclusiv_cont),
    c_apart			=VALUES(c_apart),
    c_club			=VALUES(c_club),
    c_activo		=VALUES(c_activo),
    c_ref2			=VALUES(c_ref2),
    c_direccion		=VALUES(c_direccion),
    c_desc			=VALUES(c_desc),
    c_modificacion	='$timeStamp',
    c_u_id_mod		=$Cte_Usua,
    c_acumpuntos    = VALUES(c_acumpuntos),
	c_afiliado		= VALUES(c_afiliado),
	cat_id			= VALUES(cat_id),
    cliente_pre_pago= VALUES(cliente_pre_pago),
	c_dv			= VALUES(c_dv),
	c_tipo_documento= VALUES(c_tipo_documento),
	cod_subsidiaria	= VALUES(cod_subsidiaria),
	c_tipo_persona	= VALUES(c_tipo_persona),
	tipo_calculo	= VALUES(tipo_calculo),
	c_tipo_receptor	= VALUES(c_tipo_receptor),
	c_recarg_mora	= VALUES(c_recarg_mora);";

if ($connection->query($SQL_Insert) == TRUE) {
	$msg = array("success" => "true", "detalle" => "OK");
} else {
	$msg = array("success" => "false", "detalle" => $connection);
	echo "<br>Error: " . $SQL_Insert . "<br>" . $conn->error;
}

print_r(json_encode($msg));

@mysqli_close($connection);

function String_Encode_ws_acents($pValue)
{
	$search  = array('á', 'é', 'í', 'ó', 'ú', 'Á', 'É', 'Í', 'Ó', 'Ú', 'ñ', 'Ñ');
	$replace = array('~01', '~02', '~03', '~04', '~05', '~06', '~07', '~08', '~09', '~10', '~11', '~12');
	return str_replace($search, $replace, $pValue);
}

function String_Decode_ws_acents($pValue)
{
	$replace = array('á', 'é', 'í', 'ó', 'ú', 'Á', 'É', 'Í', 'Ó', 'Ú', 'ñ', 'Ñ');
	$search = array('~01', '~02', '~03', '~04', '~05', '~06', '~07', '~08', '~09', '~10', '~11', '~12');
	return str_replace($search, $replace, $pValue);
}
